<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InspectionSelection StructType
 * @subpackage Structs
 */
class InspectionSelection extends AbstractStructBase
{
    /**
     * The InspectionId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $InspectionId;
    /**
     * Constructor method for InspectionSelection
     * @uses InspectionSelection::setInspectionId()
     * @param string $inspectionId
     */
    public function __construct($inspectionId = null)
    {
        $this
            ->setInspectionId($inspectionId);
    }
    /**
     * Get InspectionId value
     * @return string|null
     */
    public function getInspectionId()
    {
        return $this->InspectionId;
    }
    /**
     * Set InspectionId value
     * @param string $inspectionId
     * @return \StructType\InspectionSelection
     */
    public function setInspectionId($inspectionId = null)
    {
        // validation for constraint: string
        if (!is_null($inspectionId) && !is_string($inspectionId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($inspectionId, true), gettype($inspectionId)), __LINE__);
        }
        $this->InspectionId = $inspectionId;
        return $this;
    }
}
